Page MenuHomePhabricator

CSS endpoint public rollout
Closed, ResolvedPublic

Description

This task tracks the blockers for publicly rolling out the PCS CSS endpoint.

Target rollout date: Thursday 3/29 or the week of 4/2

Blocking MobileApp extension patches awaiting deployment (in wmf.27): (DONE)

Blocking MobileApp extension patches needing review:

Blocking PCS patches to be merged/deployed after wmf.27 is deployed to group2:

Other blockers:

  • Finalize the endpoint path hierarchy (T190849)

Event Timeline

Mholloway triaged this task as High priority.Mar 27 2018, 4:56 PM
Mholloway created this task.
Pchelolo moved this task from Backlog to watching on the Services board.Mar 28 2018, 4:41 PM
Pchelolo edited projects, added Services (watching); removed Services.

Just noting that the wmf.27 train is delayed until next week.

Mholloway updated the task description. (Show Details)Apr 2 2018, 8:31 PM
Mholloway updated the task description. (Show Details)Apr 2 2018, 8:54 PM
Mholloway updated the task description. (Show Details)Apr 3 2018, 5:50 PM
bearND claimed this task.Apr 9 2018, 5:50 PM
Mholloway updated the task description. (Show Details)Apr 12 2018, 2:40 PM
Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-04-24T09:03:51Z] <mobrovac@tin> Started deploy [restbase/deploy@1661f69]: Increase the deletion probability to 50% and expose the CSS end points - T192689 T190846

Mentioned in SAL (#wikimedia-operations) [2018-04-24T09:17:04Z] <mobrovac@tin> Finished deploy [restbase/deploy@1661f69]: Increase the deletion probability to 50% and expose the CSS end points - T192689 T190846 (duration: 13m 13s)

Mentioned in SAL (#wikimedia-operations) [2018-04-24T09:18:07Z] <mobrovac@tin> Started deploy [restbase/deploy@1661f69]: Increase the deletion probability to 50% and expose the CSS end points, take #2 - T192689 T190846

Mentioned in SAL (#wikimedia-operations) [2018-04-24T09:21:09Z] <mobrovac@tin> Finished deploy [restbase/deploy@1661f69]: Increase the deletion probability to 50% and expose the CSS end points, take #2 - T192689 T190846 (duration: 03m 03s)

Mentioned in SAL (#wikimedia-operations) [2018-04-24T09:21:23Z] <mobrovac@tin> Started deploy [restbase/deploy@1661f69]: Increase the deletion probability to 50% and expose the CSS end points, take #3 - T192689 T190846

Mentioned in SAL (#wikimedia-operations) [2018-04-24T09:25:49Z] <mobrovac@tin> Finished deploy [restbase/deploy@1661f69]: Increase the deletion probability to 50% and expose the CSS end points, take #3 - T192689 T190846 (duration: 04m 30s)

The CSS end points are now publicly available.

Mholloway closed this task as Resolved.Apr 24 2018, 12:41 PM

Thank you @mobrovac!